diff -ur sfdisk_vanilla/sfdisk.c sfdisk_llseek-fix/sfdisk.c
--- sfdisk_vanilla/sfdisk.c	2004-01-13 13:03:11.000000000 +0000
+++ sfdisk_llseek-fix/sfdisk.c	2008-04-17 08:42:35.000000000 +0000
@@ -134,9 +137,17 @@
  * Note: we use 512-byte sectors here, irrespective of the hardware ss.
  */
 #if defined(__linux__) && !defined (__alpha__) && !defined (__ia64__) && !defined (__x86_64__) && !defined (__s390x__)
+#if defined(_llseek)
 static
 _syscall5(int,  _llseek,  unsigned int,  fd, ulong, hi, ulong, lo,
        loff_t *, res, unsigned int, wh);
+#else
+static int _llseek (unsigned int fd, unsigned long oh,
+		unsigned long ol, long long *result,
+		unsigned int origin) {
+	return syscall (__NR__llseek, fd, oh, ol, result, origin);
+#endif
+}
 #endif
 
 static int
